*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:Arial;
}

body{
    background:#000;
    color:white;
}

/* HEADER */
header{
    position:fixed;
    top:0;
    width:100%;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:15px 20px;
    background:rgba(0,0,0,0.9);
    z-index:1000;
}

.logo{
    color:gold;
    font-weight:bold;
}

nav a{
    color:white;
    margin:0 10px;
    text-decoration:none;
}

nav a:hover{
    color:gold;
}

.menu{
    display:none;
    font-size:25px;
    cursor:pointer;
}

/* HERO */
.hero{
    height:100vh;
    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;
    text-align:center;

    background:
    linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7)),
    url("https://images.unsplash.com/photo-1516321318423-f06f85e504b3");

    background-size:cover;
    background-position:center;
}

.hero h1{
    font-size:45px;
    color:gold;
}

.hero p{
    max-width:600px;
    margin:10px;
}

button{
    padding:12px 25px;
    background:gold;
    border:none;
    cursor:pointer;
    border-radius:25px;
    font-weight:bold;
}

/* SECTIONS */
.section{
    padding:80px 20px;
    text-align:center;
}

.dark{
    background:#111;
}

h2{
    color:gold;
    margin-bottom:20px;
}

/* GALLERY */
.grid{
    display:flex;
    gap:15px;
    justify-content:center;
    flex-wrap:wrap;
}

.grid img{
    width:250px;
    border-radius:10px;
}

/* FOOTER */
footer{
    background:#111;
    text-align:center;
    padding:20px;
}

/* WHATSAPP */
.whatsapp{
    position:fixed;
    bottom:20px;
    right:20px;
    background:green;
    color:white;
    padding:15px;
    border-radius:50%;
    font-size:20px;
    text-decoration:none;
}

/* POPUP */
.popup{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background:rgba(0,0,0,0.8);
    display:none;
    justify-content:center;
    align-items:center;
}

.box{
    background:#111;
    padding:20px;
    border-radius:10px;
    width:300px;
}

.box input{
    width:100%;
    margin:10px 0;
    padding:10px;
}

/* MOBILE */
@media(max-width:768px){

    nav{
        display:none;
        flex-direction:column;
        position:absolute;
        top:60px;
        right:0;
        background:#000;
        width:200px;
        padding:10px;
    }

    nav.active{
        display:flex;
    }

    .menu{
        display:block;
    }

    .hero h1{
        font-size:30px;
    }
}